%define	upstream_name	 XML-Parser
%define	upstream_version 2.44

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A perl module for parsing XML documents
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
Source1:    http://uucode.com/xml/perl/enc.tar.bz2
Patch0:     XML-Parser-2.36-use_filehandle.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP)
BuildRequires: chrpath
BuildRequires: libexpat-devel >= 2.0.1
BuildRequires: perl-devel
BuildRequires: perl-libwww-perl

%{?perl_default_filter}

%description
A perl module for parsing XML documents.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%setup -q -n %{upstream_name}-%{upstream_version} -T -D -a 1
%autopatch -p0

%build
%define Werror_cflags %{nil}
perl Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

%check
make test

%install
%makeinstall_std
install -m 644 enc/koi8-r.enc %{buildroot}%{perl_vendorarch}/XML/Parser/Encodings
chmod +w   %{buildroot}%{perl_vendorarch}/auto/XML/Parser/Expat/Expat.so
chrpath -d %{buildroot}%{perl_vendorarch}/auto/XML/Parser/Expat/Expat.so

%files
%doc Changes META.yml README
%{_mandir}/*/*
%{perl_vendorarch}/XML/Parser*
%{perl_vendorarch}/auto/XML/Parser*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.440.0-5.mga6
+ Revision: 1036039
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.440.0-4.mga6
+ Revision: 958251
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.440.0-3.mga6
+ Revision: 845570
- rebuild for soname-ifed perl

* Tue Jun 23 2015 fwang <fwang> 2.440.0-2.mga6
+ Revision: 840427
- rebuild for perl-5.22

* Mon Jun 22 2015 sander85 <sander85> 2.440.0-1.mga6
+ Revision: 838645
- update to 2.44

* Wed Oct 15 2014 umeabot <umeabot> 2.410.0-9.mga5
+ Revision: 747956
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.410.0-8.mga5
+ Revision: 732653
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.410.0-7.mga5
+ Revision: 686946
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.410.0-6.mga5
+ Revision: 524568
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.410.0-5.mga4
+ Revision: 431014
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 2.410.0-4.mga4
+ Revision: 429915
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 2.410.0-3.mga3
+ Revision: 375101
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 pterjan <pterjan> 2.410.0-2.mga3
+ Revision: 283421
- Rebuild for new perl

* Wed Jun 15 2011 jquelin <jquelin> 2.410.0-1.mga2
+ Revision: 107591
- update to 2.41

* Sun Jun 12 2011 ahmad <ahmad> 2.400.0-3.mga2
+ Revision: 104561
- Rebuild for missing signature

* Tue Jan 18 2011 blino <blino> 2.400.0-2.mga1
+ Revision: 23275
- rebuild for new perl

  + jquelin <jquelin>
    - imported package perl-XML-Parser

